/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.varia.process;

/**
 * MBean interface.
 */
public interface ChildProcessServiceMBean extends org.jboss.system.ServiceMBean
{

   void setCommandLine(java.lang.String commandLine);

   java.lang.String getCommandLine();

   void setEnvironment(java.util.Properties env);

   java.util.Properties getEnvironment();

   void setWorkingDirectory(java.io.File dir);

   java.io.File getWorkingDirectory();

   java.lang.Integer getExitValue();

   void setLoggerAdapterName(java.lang.String name);

   java.lang.String getLoggerAdapterName();

}
